std::__future_base::_Result< _Res > Struct Template Reference

`#include <future>`

Inheritance diagram for std::__future_base::_Result< _Res >:
[legend]

## Public Types

typedef _Res | result_type

## Public Member Functions

void | _M_set (_Res &&__res)
void | _M_set (const _Res &__res)
_Res & | _M_value () noexcept

## Public Attributes

exception_ptr | _M_error

## Detailed Description

template<typename _Res>
struct std::__future_base::_Result< _Res >

A result object that has storage for an object of type _Res.

Definition at line 227 of file future.

## Member Typedef Documentation

## result_type

template<typename _Res >

typedef _Res std::__future_base::_Result< _Res >::result_type

Definition at line 234 of file future.

## Constructor & Destructor Documentation

## _Result()

template<typename _Res >

std::__future_base::_Result< _Res >::_Result | ( |  | ) |

inline noexcept

Definition at line 236 of file future.

## ~_Result()

template<typename _Res >

std::__future_base::_Result< _Res >::~_Result | ( |  | ) |

inline

Definition at line 238 of file future.

## Member Function Documentation

## _M_set() [1/2]

template<typename _Res >

void std::__future_base::_Result< _Res >::_M_set | ( | _Res && | __res | ) |

inline

Definition at line 256 of file future.

## _M_set() [2/2]

template<typename _Res >

void std::__future_base::_Result< _Res >::_M_set | ( | const _Res & | __res | ) |

inline

Definition at line 249 of file future.

## _M_value()

template<typename _Res >

_Res & std::__future_base::_Result< _Res >::_M_value | ( |  | ) |

inline noexcept

Definition at line 246 of file future.

## Member Data Documentation

## _M_error

exception_ptr std::__future_base::_Result_base::_M_error

inherited

Definition at line 203 of file future.

The documentation for this struct was generated from the following file:

- future